rte_table_ops(3)

NAME
rte_table_ops

SYNOPSIS

#include <rte_table.h>

  Data Fields

rte_table_op_create f_create
rte_table_op_free f_free
rte_table_op_entry_add f_add
rte_table_op_entry_delete f_delete
rte_table_op_entry_add_bulk f_add_bulk
rte_table_op_entry_delete_bulk f_delete_bulk
rte_table_op_lookup f_lookup
rte_table_op_stats_read f_stats

Detailed Description

Lookup table interface defining the lookup table operation

Definition at line 252 of file rte_table.h.

Field Documentation

  rte_table_op_create f_create
Create

Definition at line 253 of file rte_table.h.

  rte_table_op_free f_free
Free

Definition at line 254 of file rte_table.h.

  rte_table_op_entry_add f_add
Entry add

Definition at line 255 of file rte_table.h.

  rte_table_op_entry_delete f_delete
Entry delete

Definition at line 256 of file rte_table.h.

  rte_table_op_entry_add_bulk f_add_bulk
Add entry bulk

Definition at line 257 of file rte_table.h.

  rte_table_op_entry_delete_bulk f_delete_bulk
Delete entry bulk

Definition at line 258 of file rte_table.h.

  rte_table_op_lookup f_lookup
Lookup

Definition at line 259 of file rte_table.h.

  rte_table_op_stats_read f_stats
Stats

Definition at line 260 of file rte_table.h.

Author

Generated automatically by Doxygen for DPDK from the source code.